Bug 164420 - [PATCH] devel/apr1: Fix getaddrinfo detection when built by clang
[PATCH] devel/apr1: Fix getaddrinfo detection when built by clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-23 20:50 UTC by yuri.pankov
Modified: 2012-01-24 04:04 UTC (History)
1 user (show)

See Also:


Attachments
apr1.patch (539 bytes, patch)
2012-01-23 20:50 UTC, yuri.pankov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yuri.pankov 2012-01-23 20:50:03 UTC
The patch fixes getaddrinfo and friends detection when port is built by
clang by changing 'void main {...' to 'int main {...'. Clang errors on
'void main {...':

configure:27712: checking for working getaddrinfo
configure:27757: clang -o conftest -g -O2   conftest.c -lcrypt  -pthread >&5
conftest.c:209:1: error: 'main' must return 'int'

This makes using IPv6 addresses in Listen directive in www/apache22
(at least) not possible.

Port maintainer (apache@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-01-23 20:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-01-23 22:49:06 UTC
pgollucci    2012-01-23 22:48:55 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr1           Makefile 
  Log:
  - Fix ./configure tests w/ CLANG for IPv6
  - No PORTVERSION bump, clang is not default
  
  PR:             ports/164420
  Submitted by:   Yuri Pankov <yuri.pankov@gmail.com>
  With Hat:       apache@
  
  Revision  Changes    Path
  1.118     +1 -0      ports/devel/apr1/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 pgollucci freebsd_committer 2012-01-23 22:51:40 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 4 pgollucci freebsd_committer 2012-01-23 22:54:16 UTC
Responsible Changed
From-To: apache->pgollucci

I will take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=164420 
 
Date: Mon, 23 Jan 2012 22:45:53 +0000